std::__detail::_Grep_matcher Class Referenceabstract
Base and Implementation Classes

Inherited by std::__detail::_BFSMatcher, and std::__detail::_DFSMatcher.

## Public Member Functions

| _Grep_matcher (_PatternCursor &__p, _Results &__r, const _AutomatonPtr &__automaton, regex_constants::match_flag_type __flags)
virtual bool | _M_match ()=0
virtual bool | _M_search_from_first ()=0

## Protected Attributes

const std::shared_ptr< _Nfa > | _M_nfa
_Results & | _M_results
_PatternCursor & | _M_str_cur

## Detailed Description

Executes a regular expression NFA/DFA over a range using a variant of the parallel execution algorithm featured in the grep utility, modified to use Laurikari tags.

Definition at line 141 of file regex_grep_matcher.h.

The documentation for this class was generated from the following file:

- regex_grep_matcher.h